%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_libdir: %global lua_libdir %{_libdir}/lua/%{lua_version}}
Name:           lua-ldap
Version:        1.3.1
Release:    2%{?dist}
Summary:        LDAP client library for Lua, using OpenLDAP
License:        MIT
URL:            https://lualdap.github.io/lualdap/
Source0:        https://github.com/lualdap/lualdap/archive/v%{version}/lualdap-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lua-devel >= %{lua_version}
BuildRequires:  openldap-devel
BuildRequires:  lua >= %{lua_version}

%description
LuaLDAP is a simple interface from Lua to an LDAP client. It enables a Lua 
program to:
* Connect to an LDAP server;
* Execute any operation (search, add, compare, delete, modify and rename);
* Retrieve entries and references of the search result.

%prep
%setup -q -n lualdap-%{version}
sed -i -e 's/-DLUA_USE_C89//' -e 's/-std=c89//' Makefile

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags} -fPIC" LUA_LIBDIR=%{_libdir} LUA_INCDIR=%{_includedir}

%check
lua -e \
  'package.cpath="%{buildroot}%{lua_libdir}/?.so;"..package.cpath;
   local lualdap = require("lualdap"); print("Hello from "..lualdap._VERSION.."!");'

%install
%make_install INST_LIBDIR=%{lua_libdir}

%files
%doc README.md docs/[cmn]*.md
%license docs/license.md
%{lua_libdir}/lualdap.so*

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.3.1-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
